Skip to navigation

Create Vault

Creates a vault in the specified project.

By default, vaults are encrypted using an Eon-managed KMS key. However, if your requirements mandate control over encryption keys, you can use a customer-managed KMS key. For more information, see About Self-Managed Vault Keys.

If you use self-managed vault keys, you assume responsibility for securing them from unauthorized access and deletion.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the vault is created in. You can get your project ID from the API Credentials page in your global management console.

Request

This endpoint expects an object.
namestringRequired
Vault display name.
regionstringRequired
Region where the vault is hosted.
vaultAttributesobjectRequired

Cloud-provider-specific vault attributes.

Response

Vault created.
vaultobject

Errors

409
Conflict Error